Bug 29487 - Set autocomplete off for userid/password fields at login
Summary: Set autocomplete off for userid/password fields at login
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 19570
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-15 18:25 UTC by Nick Clemens
Modified: 2021-12-22 21:36 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This turns autocompletion off for userid and password fields on the login forms for the OPAC and staff interface.
Version(s) released in:
22.05.00,21.11.01,21.05.08


Attachments
Bug 29487: Set autocomplete off for userid/password fields at login (4.35 KB, patch)
2021-11-15 18:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29487: Set autocomplete off for userid/password fields at login (4.41 KB, patch)
2021-11-19 14:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29487: Set autocomplete off for userid/password fields at login (4.50 KB, patch)
2021-11-26 09:25 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-11-15 18:25:08 UTC
Bug 19570 did most of this work - adding a few that were reported
Comment 1 Nick Clemens 2021-11-15 18:28:02 UTC
Created attachment 127667 [details] [review]
Bug 29487: Set autocomplete off for userid/password fields at login

This patch adjust:
Intranet login
Opac-main
Opac-main - 'log in to your account modal'

To test:
Login at the three places above
Confirm html shows autocomplete off on the fields
Confirm logins work
Comment 2 Jonathan Druart 2021-11-16 08:04:18 UTC
Ready for testing?
Comment 3 Nick Clemens 2021-11-16 11:03:53 UTC
(In reply to Jonathan Druart from comment #2)
> Ready for testing?

Yes
Comment 4 Katrin Fischer 2021-11-19 14:39:58 UTC
Created attachment 127872 [details] [review]
Bug 29487: Set autocomplete off for userid/password fields at login

This patch adjust:
Intranet login
Opac-main
Opac-main - 'log in to your account modal'

To test:
Login at the three places above
Confirm html shows autocomplete off on the fields
Confirm logins work

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Marcel de Rooy 2021-11-26 09:25:02 UTC
Created attachment 128029 [details] [review]
Bug 29487: Set autocomplete off for userid/password fields at login

This patch adjust:
Intranet login
Opac-main
Opac-main - 'log in to your account modal'

To test:
Login at the three places above
Confirm html shows autocomplete off on the fields
Confirm logins work

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Fridolin Somers 2021-12-02 07:51:42 UTC
Looks like this is not needed for Firefox.
Is it for a specific web browser ?
Comment 7 Marcel de Rooy 2021-12-02 07:53:45 UTC
(In reply to Fridolin Somers from comment #6)
> Looks like this is not needed for Firefox.
> Is it for a specific web browser ?

Probably other browsers need it. I saw that it worked under Chrome.
Comment 8 Fridolin Somers 2021-12-02 07:56:09 UTC
(In reply to Fridolin Somers from comment #6)
> Looks like this is not needed for Firefox.
> Is it for a specific web browser ?

Ah forget that, since it is the same as Bug 19570 I will push
Comment 9 Fridolin Somers 2021-12-02 07:58:36 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 10 Kyle M Hall 2021-12-03 15:16:34 UTC
Pushed to 21.11.x for 21.11.01
Comment 11 Andrew Fuerste-Henry 2021-12-17 19:13:03 UTC
Pushed to 21.05.x for 21.05.08
Comment 12 Victor Grousset/tuxayo 2021-12-22 21:36:30 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.